## cloud-init 25.2

=== debian/changelog ===
cloud-init (25.2-0ubuntu1~24.04.1) noble; urgency=medium

  * add d/p/strip-invalid-mtu.patch
    - Provides backwards compatibility for an otherwise invalid
      MTU in a netplan config. (GH-6239)
  * d/cloud-init.templates:
    - Move VMware before OVF. See GH-4030
    - Enable CloudCIX by default
  * refresh patches:
    - d/p/no-single-process.patch
  * Upstream snapshot based on 25.2. (LP: #2120495).
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/25.2/ChangeLog

 -- James Falcon <james.falcon@canonical.com>  Tue, 12 Aug 2025 16:19:32 -0500

cloud-init (25.1.4-0ubuntu0~24.04.1) noble-security; urgency=medium

  * Upstream snapshot based on 25.1.4.
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/25.1.4/ChangeLog
    - Bugs fixed in this snapshot:
      + fix: disable cloud-init when non-x86 environments have no DMI-data
        and no strict datasources detected (LP: #2069607) (CVE-2024-6174)

 -- Chad Smith <chad.smith@canonical.com>  Tue, 24 Jun 2025 15:14:03 -0600

cloud-init (25.1.3-0ubuntu0~24.04.1) noble-security; urgency=medium

  * d/cloud-init-base.postinst: move existing hotplug-cmd fifo to root-only
    share dir (CVE-2024-11584)
  * Upstream security bugfix release based on 25.1.3.
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/25.1.3/ChangeLog
    - Bugs fixed in this snapshot:
    - security: make hotplug socket only writable by root (LP: #2114229)
      (CVE-2024-11584)
    - security: make ds-identify behavior strict datasource discovery on
      non-x86 platforms without DMI data (LP: #2069607) (CVE-2024-6174)

 -- Chad Smith <chad.smith@canonical.com>  Thu, 12 Jun 2025 20:24:45 -0600

cloud-init (25.1.2-0ubuntu0~24.04.1) noble; urgency=medium

  * Upstream snapshot based on 25.1.2. (LP: #2104165).
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/25.1.2/ChangeLog

 -- James Falcon <james.falcon@canonical.com>  Mon, 19 May 2025 15:00:58 -0500

cloud-init (25.1.1-0ubuntu1~24.04.1) noble; urgency=medium

  * Drop cpicks which are now upstream:
    - cpick-d75840be-fix-retry-AWS-hotplug-for-async-IMDS-5995
    - cpick-84806336-chore-Add-feature-flag-for-manual-network-waiting
    - d/p/cpick-c60771d8-test-pytestify-test_url_helper.py
    - d/p/cpick-8810a2dc-test-Remove-CiTestCase-from-test_url_helper.py
    - d/p/cpick-582f16c1-test-add-OauthUrlHelper-tests
    - d/p/cpick-9311e066-fix-Update-OauthUrlHelper-to-use-readurl-exception_cb
  * refresh patches
    - d/p/deprecation-version-boundary.patch
    - d/p/grub-dpkg-support.patch
    - d/p/no-nocloud-network.patch
    - d/p/no-single-process.patch
  * sort hunks within all patches (--sort on quilt refresh)
  * Upstream snapshot based on 25.1.1.
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/25.1.1/ChangeLog

 -- Chad Smith <chad.smith@canonical.com>  Tue, 25 Mar 2025 11:02:28 -0600

cloud-init (24.4.1-0ubuntu0~24.04.3) noble; urgency=medium

  * d/control: Fix how cloud-init-base overwrites cloud-init files.
    (LP: #2092333)

 -- James Falcon <james.falcon@canonical.com>  Wed, 02 Apr 2025 10:09:15 -0500

cloud-init (24.4.1-0ubuntu0~20.04.2) noble; urgency=medium

  * cherry-pick fixes for MAAS traceback (LP: #2100963)
    - cherry-pick c60771d8: test: pytestify test_url_helper.py
    - cherry-pick 8810a2dc: test: Remove CiTestCase from
      test_url_helper.py
    - cherry-pick 582f16c1: test: add OauthUrlHelper tests
    - cherry-pick 9311e066: fix: Update OauthUrlHelper to use readurl
      exception_cb

 -- James Falcon <james.falcon@canonical.com>  Thu, 13 Mar 2025 11:28:57 -0500

cloud-init (24.4.1-0ubuntu0~24.04.1) noble; urgency=medium

  * Add d/p/cpick-84806336-chore-Add-feature-flag-for-manual-network-waiting
    - Pull in the upstream commit that makes it easier to patch out the
      new systemd-networkd-wait-online behavior in e30549e8
  * Add d/p/cpick-b817a679-fix-retry-AWS-hotplug-for-async-IMDS.patch
    - Pull in the upstream commit works around a limitation in AWS's IMDS
      (GH-5971) (LP: #2097319)
  * Add d/p/no-remove-networkd-online.patch
    - Revert breaking change on stable release (LP: #2094149)
  * Update d/p/no-single-process.patch
    - This patch missed waiting for mounts (LP: #2097441)
  * Upstream snapshot based on 24.4.1.
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/24.4.1/ChangeLog
    (LP: #2094179, #2094208, #2094857, #2094858)

 -- Brett Holman <brett.holman@canonical.com>  Tue, 04 Feb 2025 15:36:06 -0700

cloud-init (24.4-0ubuntu1~24.04.2) noble; urgency=medium

  * Fix d/p/no-single-process.patch
    - It didn't contain removal of cloud-init-network.service nor
      the removal of the network.service reference

 -- James Falcon <james.falcon@canonical.com>  Mon, 02 Dec 2024 13:09:22 -0600

cloud-init (24.4-0ubuntu1~24.04.1) noble; urgency=medium

  * add d/p/grub-dpkg-support.patch
    - Revert the removal of grub-dpkg from default modules
  * refresh patches:
    - d/p/deprecation-version-boundary.patch
    - d/p/no-nocloud-network.patch
    - d/p/no-single-process.patch
  * Upstream snapshot based on 24.4. (LP: #2089577).
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/24.4/ChangeLog

 -- James Falcon <james.falcon@canonical.com>  Tue, 26 Nov 2024 07:46:41 -0600

cloud-init (24.3.1-0ubuntu0~24.04.1) noble; urgency=medium

  * d/p/no-single-process.patch: Remove single process optimization
  * d/p/no-nocloud-network.patch: Remove nocloud network feature
  * Upstream snapshot based on upstream/main at acf04d61.
  * Upstream snapshot based on 24.3.1. (LP: #2079224).
    List of changes from upstream can be found at

