## cloud-init 25.3~1g890873f5

=== debian/changelog ===
cloud-init (25.3~1g890873f5-0ubuntu1) questing; urgency=medium

  * d/control:
    - ensure binary packages depend on same version of cloud-init-base.
    - update build-dependencies to support meson instead of setuptools
      (LP: #1978328) (GH-5027)
  * d/rules:
    - use meson build backend instead of pybuild setuptools
      (LP: #1978328) (GH-5027)
  * Upstream snapshot based on upstream/main at 890873f5.
    - Bugs fixed in this snapshot: (LP: #1978328)

 -- Chad Smith <chad.smith@canonical.com>  Fri, 22 Aug 2025 22:07:56 -0600

cloud-init (25.2-0ubuntu1) questing; urgency=medium

  * Upstream snapshot based on 25.2.
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/25.2/ChangeLog

 -- James Falcon <james.falcon@canonical.com>  Tue, 12 Aug 2025 14:11:35 -0500
