## cloud-init 25.3~2g890873f5

=== meson_options.txt ===
option('init_system', type: 'string', value: 'systemd', description: 'Set target init system.')
option('distro_templates', type: 'array', value: [], description: 'Distro template files to install. WARNING: Templates may change in the future. If using this option, be sure to check new releases for template file changes.')
option('disable_sshd_keygen', type: 'boolean', value: false, description: 'Provide systemd service to disable sshd-keygen if present to avoid races with cloud-init.')
