=== debian/changelog ===
cloud-init (25.3-1) unstable; urgency=medium

  * New upstream version 25.3
  * refresh patches
  * switch to meson build system per upstream changes

 -- Noah Meyerhans <noahm@debian.org>  Thu, 16 Oct 2025 09:07:21 -0400

cloud-init (25.2-1) unstable; urgency=medium

  * New upstream version 25.2
  * refresh patches
  * Migrate debian-specific TestAptSourceConfigMirrorlists to pytest

 -- Noah Meyerhans <noahm@debian.org>  Tue, 19 Aug 2025 15:13:39 -0400
