=== debian/control ===
Source: cloud-init
Maintainer: Debian Cloud Team <debian-cloud@lists.debian.org>
Uploaders:
 Bastian Blank <waldi@debian.org>,
 Thomas Goirand <zigo@debian.org>,
 Noah Meyerhans <noahm@debian.org>,
Section: admin
Priority: optional
Build-Depends:
 bash-completion,
 cmake,
 debhelper-compat (= 13),
 dh-python,
 iproute2,
 meson,
 passwd,
 po-debconf,
 procps <!nocheck>,
 pkgconf,
 pybuild-plugin-pyproject,
 pylint,
 python3-all,
 python3-pycodestyle,
 python3-setuptools,
 systemd-dev | systemd,
Build-Depends-Indep:
 python3-configobj,
 python3-httpretty (>= 0.9.5),
 python3-jinja2,
 python3-jsonpatch,
 python3-jsonschema,
 python3-netifaces,
 python3-oauthlib,
 python3-passlib,
 python3-pyflakes,
 python3-pytest,
 python3-pytest-mock,
 python3-requests,
 python3-responses,
 python3-serial,
 python3-yaml,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/cloud-team/cloud-init
Vcs-Git: https://salsa.debian.org/cloud-team/cloud-init.git
Homepage: https://launchpad.net/cloud-init

Package: cloud-init
Architecture: all
Conflicts: firewalld, cloud-init-22.4.2
Replaces: cloud-init-22.4.2
Depends:
 eject,
 fdisk | util-linux (<< 2.29.2-3~),
 gdisk,
 dhcpcd-base | udhcpc | isc-dhcp-client,
 locales,
 lsb-release,
 netcat-openbsd,
 procps,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 cloud-guest-utils,
 eatmydata,
 sudo,
Suggests:
 btrfs-progs,
 e2fsprogs,
 python3-passlib,
 xfsprogs,
Description: initialization system for infrastructure cloud instances
 Cloud-init provides a framework and tool to configure and customize virtual
 machine instances for Infrastructure-as-a-Service (IaaS) clouds platforms. It
 can for example set a default locale and hostname, generate SSH private host
 keys, install SSH public keys for logging into a default account, set up
 ephemeral mount points, and run user-provided scripts.
 .
 Various methods are supported for passing data to the instance at launch
 time, including the standard interfaces of multiple platforms.
