=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/canonical/cloud-init/tags \
    (?:.*?/)?v?[-_]?(\d[\-+\.:\~\d]*)@ARCHIVE_EXT@
