=== debian/changelog ===
cloud-init (25.4~2gb117d244-0ubuntu1) resolute; urgency=medium

  * d/tests: exercise cloud-init status
  * d/cloud-init-base.config - Remove old unnecessary logic.
  * d/cloud-init-base.postinst - Remove old unnecessary logic.
  * d/cloud-init-base.preinst - Delete file, logic was obsolete.
  * d/cloud-init-base.prerm - Delete file, logic was obsolete.
  * Upstream snapshot based on upstream/main at b117d244.
    - Bugs fixed in this snapshot: (LP: #2136198)

 -- Chad Smith <chad.smith@canonical.com>  Thu, 18 Dec 2025 17:07:20 -0700

cloud-init (25.4~1gcb12e00e-0ubuntu2) resolute; urgency=medium

  * d/cloud-init-base.config and d/cloud-init-base.postinst:
    - fix debconf value migration error resulting in invalid config created
      by debian script (LP: #2131809)
    - address shellcheck failures

 -- Chad Smith <chad.smith@canonical.com>  Wed, 03 Dec 2025 14:48:59 -0700
