## cloud-init 25.4~3g78f6f15e

=== debian/changelog ===
cloud-init (25.4~3g78f6f15e-0ubuntu1) resolute; urgency=medium

  * Upstream snapshot based on upstream/main at 78f6f15e.

 -- Chad Smith <chad.smith@canonical.com>  Fri, 23 Jan 2026 15:41:19 -0700
