=== debian/tests/control ===
Tests: commandline_status.sh
Restrictions: needs-root, needs-reboot, breaks-testbed
