=== debian/changelog ===
cloud-init (26.1-0ubuntu1) resolute; urgency=medium

  * Upstream snapshot based on 26.1.
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/26.1/ChangeLog

 -- Chad Smith <chad.smith@canonical.com>  Fri, 27 Feb 2026 19:10:12 -0700
